Get Task Agent

Retrieve detailed information about a specific Task Agent. Returns root Task Agent metadata with embedded immutable revisions. Runtime configuration such as instructions, models, and tools is stored on each revision.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
task_agent_idstringRequiredformat: "uuid"
The specific Task Agent to reference.

Response

Task Agent details
idstringformat: "uuid"
namestring
task_agent_run_visibilityenum
is_deletedboolean
createdstring
modifiedstring
active_revisionobject or null
Summary of the active TaskAgent revision.
revisionslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error